<!-- SLIDERS MATERIALIZE CSS CON LAS IMAGENES DE LA CANCILLERIA -->
<div class="row">
  <div class="col-12 p-4 slider-container" style="background: white;">
    <div class="slider" #slider>
      <!-- CARGO LOS SLIDES CON ngFor DESDE LA VARIABLE imagesUrl -->
      <ul class="slides">
        <li *ngFor="let img of imagesUrl">
          <img [src]="img">
          <div class="caption center-align">
          </div>
        </li>
      </ul>
    </div>
  </div>
</div>
<!-- SLIDERS MATERIALIZE CSS CON LAS IMAGENES DE LA CANCILLERIA -->

<!-- MENU CON SCROLL HORIZONTAL, FUNCIONA COMO EL MENU PRINCIPAL -->
<div class="row">
  <div class="col-12 p-0">
    <div style="position: relative;display: flex;margin: auto;">
      <mat-card left>
        <button mat-icon-button color="primary" (click)="scrollLeft()">
          <mat-icon>chevron_left</mat-icon>
        </button>
      </mat-card>
      <mat-toolbar #itemsMenu color="primary" class="home-toolbar">
        <div style="display: flex;
        height: 100%; margin: auto;">
          <button mat-button>
            <img
              src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcT2eaIyxNLwwFGMoC6W9qi2L4nmiy-t__eAFg&usqp=CAU">
            Registro de migrantes venezolanos
          </button>
          <button mat-button routerLink="/pagina/vuelos-humanitarios">
            <mat-icon>flight_takeoff</mat-icon> Vuelos humanitarios
          </button>
          <button mat-button>
            <mat-icon>verified_user</mat-icon> Apostilla o legalización
          </button>
          <button mat-button>
            <mat-icon>language</mat-icon> Pasaportes
          </button>
          <button mat-button>
            <mat-icon>local_airport</mat-icon> Visas
          </button>
          <button mat-button>
            <mat-icon>place</mat-icon> Nacionalidad
          </button>
          <button mat-button>
            <mat-icon>military_tech</mat-icon> Cooperación judicial
          </button>
          <button mat-button>
            <mat-icon>public</mat-icon> Otros trásmites en el exterior
          </button>

        </div>
      </mat-toolbar>
      <mat-card right>
        <button mat-icon-button color="primary" (click)="scrollRight()">
          <mat-icon>chevron_right</mat-icon>
        </button>
      </mat-card>
    </div>
  </div>
</div>
<!-- MENU CON SCROLL HORIZONTAL, FUNCIONA COMO EL MENU PRINCIPAL -->

<!-- NOTICIAS CARGADAS DINAMICAMENTE CON LA DIRECTIVA ngFor DE ANGULAR DESDE LA VARIABLE noticias -->
<div class="row cards-no-shadow" style="padding: 23px 0px;">
  <div class="container">
    <div class="row" style="margin-top: 23px !important;">
      <div class="col-12 col-sm-6 col-md-4 col-lg-4 p-2" *ngFor="let noticia of noticias">
        <mat-card class="row-card">
          <mat-card-header>
            <mat-card-title>{{noticia.titulo}}</mat-card-title>
          </mat-card-header>
          <!-- SI TIENE EL CAMPO IMAGEN SE MUESTRA EL TAG IMG -->
          <img *ngIf="noticia.imagen" mat-card-image class="mx-auto" style="width: 100%;" [src]="noticia.imagen">
          <!-- SI TIENE EL CAMPO VIDEO SE MUESTRA EL TAG IFRAME CON EL VIDEO -->
          <iframe [hidden]="!noticia.video" mat-card-image height="200" [src]="noticia.video" frameborder=" 0"
            allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
            allowfullscreen></iframe>
          <mat-card-content>
            <p>
              {{noticia.contenido}}
            </p>
          </mat-card-content>
        </mat-card>
      </div>
    </div>
  </div>
</div>
<!-- NOTICIAS CARGADAS DINAMICAMENTE CON LA DIRECTIVA ngFor DE ANGULAR DESDE LA VARIABLE noticias -->